Subject: Re: [PATCH 5/4] merge-ort: lowercase a few error messages

From: Junio C Hamano <[email-masked]>
Date: Sat, 16 Sep 2023 14:49:12 -0700

Jeff King <[email-masked]> writes:

> On Sat, Sep 16, 2023 at 02:01:00AM -0400, Jeff King wrote:
>
>> Here's one more clean-up on top. I hesitated on this for the initial
>> send just because I didn't know if we might want to switch these error
>> messages to path_msg(), which does capitalize sometimes. But Elijah's
>> response convinced me that we should just leave them in place, in which
>> case it makes sense to do a minimal style fixup.
>> 
>> Junio, this is on top of what you've queued in
>> jk/ort-unused-parameter-cleanups.
>> 
>> -- >8 --
>> Subject: [PATCH] merge-ort: lowercase a few error messages
>> 
>> As noted in CodingGuidelines, error messages should not be capitalized.
>> Fix up a few of these that were copied verbatim from merge-recursive to
>> match our modern style.
>
> <sigh> This fails CI because with GIT_TEST_MERGE_ALGORITHM=recursive, we
> run the old merge-recursive code, which uses the capitalized version.
>
> I'm inclined to just drop this minor cleanup for now, and we can worry
> about it later once merge-recursive goes the way of the dodo.

I wonder if it is just the matter of making matching changes to the
original error messages in merge-recursive that share the
capitalized version?